API to fetch the total number of products, included in the store, and excluded from the store and other stats

http
GET https://services.leadconnectorhq.com/products/store/{storeId}/stats

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
storeIdstringYes3SwdhCu3svxI8AKsPJt6Products related to the store

Query parameters

NameTypeRequiredExampleDescription
altIdstringYes6578278e879ad2646715ba9cAccount Id or Agency Id
altTypestringYes
searchstringNoAwesome productThe name of the product for searching.
collectionIdsstringNo65c2789a812e52f9bd6ec577,65c2789a812e52de9a6ec576Filter by product collection Ids. Supports comma separated values

Responses

200 - Successful response
  • totalProducts (number, required): Total number of products Example: 100

  • includedInStore (number, required): Number of products included in the store Example: 80

  • excludedFromStore (number, required): Number of products excluded from the store Example: 20

json
{
  "totalProducts": 100,
  "includedInStore": 80,
  "excludedFromStore": 20
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/products/store/YOUR_storeId/stats' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?